Modify

Opened 6 years ago

Last modified 6 years ago

#5376 new defect

Support for python 2.5

Reported by: darran@… Owned by: etienne
Priority: normal Component: TracBuildbotIntegration
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

Etienne,

Our trac details are as follows.

Trac:  	0.11
Python: 	2.5 (r25:51908, Jun 8 2007, 06:03:09) [GCC 3.4.6 20060404 (Red Hat 3.4.6-8)]
setuptools: 	0.6c6
SQLite: 	3.3.6
pysqlite: 	2.3.2
Genshi: 	0.5.1
mod_python: 	3.3.1
Subversion: 	1.3.2 (r19776)
jQuery:	1.2.3

Will the supplied 2.4 egg work when placed in plugins directory?

Attachments (0)

Change History (1)

comment:1 Changed 6 years ago by etienne

I suppose it should work (I use the same version of Trac and Genshi), but I can't tell for sure. You could give it a try. I don't have access to a linux machine with python 2.5 (only 2.4 or 2.6). If it doesn't work, you can try to get the sources from http://trac-hacks.org/changeset/5398/tracbuildbotintegration/tags/0.1.3?old_path=%2F&format=zip and make the .egg file using : python setup.py bdist_egg

This will generate dist/TracBuildbot-0.1.3-py2.5.egg file that you can use.

Add Comment

Modify Ticket

Action
as new The owner will remain etienne.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.